## ros-noetic-jsk-tools 2.2.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_tools)

find_package(catkin REQUIRED)
catkin_python_setup()
set(ROS_BUILD_TYPE RelWithDebInfo)
catkin_package(
  CATKIN_DEPENDS #
  LIBRARIES #
  INCLUDE_DIRS #
  DEPENDS #
  CFG_EXTRAS download_package.cmake shell_test.cmake
  )
catkin_add_env_hooks(99.config_switch SHELLS bash zsh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
catkin_add_env_hooks(99.jsk_tools SHELLS sh bash zsh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
catkin_add_env_hooks(99.jsk_tools-completion SHELLS bash zsh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

set(BIN_EXECUTABLES git-jsk-commit ros_console.py run_tmux)
foreach(exec ${BIN_EXECUTABLES})
  add_custom_command(OUTPUT ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_BIN_DESTINATION}/${exec}
    COMMAND cmake -E make_directory ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_BIN_DESTINATION}
    COMMAND cmake -E copy ${PROJECT_SOURCE_DIR}/bin/${exec} ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_BIN_DESTINATION}/
    DEPENDS ${PROJECT_SOURCE_DIR}/bin/${exec})
  add_custom_target(install_${exec} ALL DEPENDS ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_BIN_DESTINATION}/${exec})
  install(PROGRAMS bin/${exec} DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
endforeach(exec)

if (CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  roslint_python(src/jsk_tools/cltool.py)
  roslint_python(src/test_topic_published.py)
  roslint_python(src/test_rosparam_set.py)
  roslint_python(src/test_stdout.py)
  roslint_python(src/rostopic_host_sanity)
  roslint_add_test()
  find_package(rostest REQUIRED)
  macro(jsk_tools_add_rostest file)
    list(APPEND jsk_tools_test_files ${file})
    add_rostest(${file})
  endmacro()
  if("$ENV{ROS_DISTRO}" STRGREATER "hydro")
    # FIXME: jsk_tools/test_topic_published.py does not work on hydro travis/jenkins
    # https://github.com/jsk-ros-pkg/jsk_common/pull/1293#issuecomment-164158260
    jsk_tools_add_rostest(test/test_topic_published.launch)
    # FIXME: jsk_tools/sanity_lib.py does not work on hydro travis/jenkins
    # https://github.com/jsk-ros-pkg/jsk_common/pull/1405#issuecomment-225218625
    jsk_tools_add_rostest(test/python/sanity_lib.test)
    # FIXME: jsk_tools/test_topic_published.py does not work on hydro travis/jenkins
    # https://github.com/jsk-ros-pkg/jsk_common/pull/1293#issuecomment-164158260
    jsk_tools_add_rostest(test/test_rosparam_set.test)
  endif()
  jsk_tools_add_rostest(test/test_stdout.test)
  jsk_tools_add_rostest(test/test_rostopic_host_sanity.test)
  jsk_tools_add_rostest(test/test_sanity_diagnostics.test)
  find_package(jsk_tools REQUIRED)
  jsk_tools_add_shell_test(COMMAND echo "testing jsk_tools_add_shell_test")
endif()

# install test files that really works
# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(FILES ${jsk_tools_test_files}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/test)
install(DIRECTORY test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN "*.test" EXCLUDE
  )
install(DIRECTORY src dot-files cmake launch sample
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )
install(DIRECTORY bin/
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  USE_SOURCE_PERMISSIONS
  )

=== debian/changelog ===
ros-noetic-jsk-tools (2.2.12-1buster) buster; urgency=high

  * [jsk_tools] change default ROS_MASTER_URI of rossetmaster to localhost (#1729 <https://github.com/jsk-ros-pkg/jsk_common/issues/1729>)
  * Add test for topic connection test after killing nodes (#1725 <https://github.com/jsk-ros-pkg/jsk_common/issues/1725>)
    
      * [jsk_tools] Add comment for avoiding rospy.exceptions.ROSTimeMovedBackwardsException
      * [jsk_tools] Fixed E713 error for membership should be "not in"
      * Add not received topic infos
      * [jsk_tools] Add test for namespace
      * [jsk_tools] Add test for topic connection test after killing nodes
      * [jsk_tools] Add check_after_kill_node option for checking topic connection after killing nodes
    
  * [jsk_tools] Add node to publish diagnostics based on topic and node status (#1727 <https://github.com/jsk-ros-pkg/jsk_common/issues/1727>)
    
      * [jsk_tools] Set longer timeout for sanity_diagnostics test
      * [jsk_tools] Fix test name for sanity_diagnostics
      * [jsk_tools] Install sample directory
      * [jsk_tools] Set longer timeout for low frequency topics
      * [jsk_tools] Unregister subscriber at the end of checkTopicIsPublished to reduce CPU load
      * [jsk_tools] Do not check topic type until the first topic comes in
      * [jsk_tools] Use topic name as default value
      * [jsk_tools] Fix typo
      * [jsk_tools] Add test for sanity_diagnostics
      * [jsk_tools] Add sample for sanity_diagnostics
      * [jsk_tools] Add diagnostic dependency
      * [jsk_tools] Add node to publish /diagnostics based on topic and node status
      * [jsk_tools] Return value of checkNodeState
    
  * [jsk_tools] use python3-progressbar and python3-rosdep for noetic (#1722 <https://github.com/jsk-ros-pkg/jsk_common/issues/1722>)
  * jsk_tools: add python3-tabulate to exec_depends (#1721 <https://github.com/jsk-ros-pkg/jsk_common/issues/1721>)
  * add test code to check #1715 <https://github.com/jsk-ros-pkg/jsk_common/issues/1715> (#1717 <https://github.com/jsk-ros-pkg/jsk_common/issues/1717>)
    
      * kinetic rostopic._rostopic_list_groyp_by_host did not work correctly
      * use rostopic.get_topic_list instead of master.getSystemState
    https://github.com/ros/ros_comm/commit/e96c407c64e1c17b0dd2bb85b67f388380527097#diff-21f05efee85a56a5b34825bb4fcfb53db99e38304206ddad7d50d6d4881696b2L1207
    changes
    ```
    -        state = master.getSystemState()
    +        pubs, subs, _ = state
    +        pubs, subs = get_topic_list(master=master)
    ```
    * add test to check rostopic_host_sanity
  * use raw_input for python2 c.f. (#1695 <https://github.com/jsk-ros-pkg/jsk_common/issues/1695>)
    
      * run 2to3 -w -f has_key for python3 compatibility
    
  * [jsk_topic_tools/master_util.py] add default args to isMasterAlivef( #1684 <https://github.com/jsk-ros-pkg/jsk_common/issues/1684>)
    
      * [jsk_tools, jsk_topic_tools] fix urlparse import for python3
    
  * Contributors: Shimpei Sato, Iori Yanokura, Kei Okada, Koki Shinjo, Naoki Hiraoka, Naoya Yamaguchi, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 06 Jun 2022 15:00:00 -0000

ros-noetic-jsk-tools (2.2.11-1buster) buster; urgency=high

  * Fix for noetic build (#1648 <https://github.com/jsk-ros-pkg/jsk_common/issues/1648>)
    
      * fix for python3, except, print ....
      * jsk_tools: fix for python3
      * pytho3 dislike d in regrex, src/test_topic_published.py:50:37: W605 invalid escape sequence 'd'
      * python3 need to use a in dict, instead of dict.has_key(a)
      * fix print(), Exception as e for python3
      * migrate to noetic with ROS_PYTHON_VERSION=2/3, use multiple ROS distro strategy http://wiki.ros.org/noetic/Migration
      * upgrade package.xml to format=3
    
  * fix failure on finally clause (#1645 <https://github.com/jsk-ros-pkg/jsk_common/issues/1645>)
  * Add debian in generate_deb_status_table.pyf( #1633 <https://github.com/jsk-ros-pkg/jsk_common/issues/1633>)
  * write comment on how to generate deb status section. (#1631 <https://github.com/jsk-ros-pkg/jsk_common/issues/1631>)
    
      * remove --rosdistro-from and --rosdistro-to, get current active rosdistro list from index file
      * write comment on how to generate deb status section.  https://stackoverflow.com/questions/4823468/comments-in-markdown
    
  * [jsk_tools] Add --ping-trials option to roscore_regardless.py (#1632 <https://github.com/jsk-ros-pkg/jsk_common/issues/1632>)
    
      * Sometimes ping is not stable. --ping-trials option enables roscore_regardless.py to verify host computer of rosmaster is alive by multi-times ping commands.
    
  * [jsk_tools] Show voltage in battery_capacity_summary.py (#1628 <https://github.com/jsk-ros-pkg/jsk_common/issues/1628>)
    
      * Fix output format in battery_capacity_summary.py
      * Show voltage as well in battery_capacity_summary.py
      * Show unit of full/remaining capacity in battery_capacity_summary.py
    
  * [jsk_tools/roscore_regardless.py] Do not send SIGTERM before roslaunch sends SIGTERMf( #1627 <https://github.com/jsk-ros-pkg/jsk_common/issues/1627>)
    
      * Add option to change timeout duration to escalate signals
    
  * [jsk_tools] Add --timeout option to roscore_regardless.py ( #1622 <https://github.com/jsk-ros-pkg/jsk_common/issues/1622>)
    
      * Add --timeout option to change timeout duration of ping command towards rosmaster computer.
      * --timeout option defaults to 10 seconds.
    
  * battery_capacity_summary.py: fix order of columns (#1619 <https://github.com/jsk-ros-pkg/jsk_common/issues/1619>)
  * Contributors: Yuki Furuta, Kei Okada, Ryohei Ueda, Shingo Kitagawa, Yuto Uchimi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Jul 2020 15:00:00 -0000

ros-noetic-jsk-tools (2.2.10-1buster) buster; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 15:00:00 -0000

ros-noetic-jsk-tools (2.2.9-1buster) buster; urgency=high





=== debian/control ===
Source: ros-noetic-jsk-tools
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), git, ros-noetic-catkin, ros-noetic-rosgraph-msgs, ros-noetic-roslint <!nocheck>, ros-noetic-rostest <!nocheck>
Homepage: http://ros.org/wiki/jsk_tools
Standards-Version: 3.9.2

Package: ros-noetic-jsk-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, iproute2, python3-colorama, python3-github, python3-progressbar, python3-requests, python3-rosdep, python3-tabulate, python3-texttable, ros-noetic-cv-bridge, ros-noetic-diagnostic-aggregator, ros-noetic-diagnostic-msgs, ros-noetic-diagnostic-updater, ros-noetic-jsk-gui-msgs, ros-noetic-jsk-network-tools, ros-noetic-jsk-topic-tools, ros-noetic-rosbag, ros-noetic-rosemacs, ros-noetic-rosgraph-msgs, ros-noetic-rospy, ros-noetic-rqt-reconfigure
Description: Includes emacs scripts, ros tool alias generator, and launch doc generator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-jsk-tools//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
